commit:     a63d17729b1c44ed3bd7e34fe44ac6e1622661d2
Author:     Stephan Hartmann <sultan <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  3 08:07:26 2022 +0000
Commit:     Stephan Hartmann <sultan <AT> gentoo <DOT> org>
CommitDate: Sun Apr  3 08:08:22 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a63d1772

www-client/chromium: add ppc64le patchset to stable channel

Bug: https://bugs.gentoo.org/669748
Signed-off-by: Stephan Hartmann <sultan <AT> gentoo.org>

 www-client/chromium/Manifest                      |  1 +
 www-client/chromium/chromium-100.0.4896.60.ebuild | 18 +++++++++++++++++-
 2 files changed, 18 insertions(+), 1 deletion(-)

diff --git a/www-client/chromium/Manifest b/www-client/chromium/Manifest
index d5f79f53ca27..a247d987afec 100644
--- a/www-client/chromium/Manifest
+++ b/www-client/chromium/Manifest
@@ -1,4 +1,5 @@
 DIST chromium-100-patchset-4.tar.xz 5676 BLAKE2B 
aaa96413cc44ea75d2664b7d85130ca6f9ea4dfe736278806bb846baf97838fc1c8412b0320b8b22d5a2946fe1fb23fae244e297b924baafeb7a4983dab7e292
 SHA512 
3f88272d42f30112733e5e7473aec9dc31458386b34192ee34465b7045f63b0e8d496cddfc7efb2156cd8a9a84efd68437c1b194be13595cbe6e3736dcc187c9
+DIST chromium-100-patchset-ppc64le-1.tar.xz 46796 BLAKE2B 
6fb35077abe7d2b0776be916be2123c3153c72993189e2d7230f248003a3cfdb518a178a3ee9add3fee2cbdaf09709cbe7b60aeead9fb6c6b97d67e2c84f212e
 SHA512 
a009131baa937b190fbac59d45f71c87cab390cdc11302337055613a1f077a7a9bb2083686205efbcb8f3c686742bd2d2371c94f0352269f05a86c56d2026704
 DIST chromium-100.0.4896.60.tar.xz 1357922968 BLAKE2B 
a4efa2d4a6bfed6a20552b8cd914e720c68631fb8735ec81bd8815a2ad98df521f2e9bb315b2396ea9f650914bf6e263db91cc3069f7994380c535a8479f8789
 SHA512 
980c4c05f6cdaeec9eeddce1ef4bf9276a2993d64130998fd87c8b593719c313e3a4df36e5a144d2637d61cbf231f06da5861f86b68ff3591723671bcc4999f0
 DIST chromium-101-patchset-3.tar.xz 3236 BLAKE2B 
6a190eb102a2d330a1224cd132f41ce3b42bc9bdcb7af2ba80288959d9e39d3db8fcf30ae9d553e4c5e79948671d6c7c8d2865073e312c8ef422070d87dcd56c
 SHA512 
708693deee28f3505b3a22dd499cc20cc30ec20ef3442cd85172b2b5d24582c7a0e961818fe1272bc9a09bce6d45a287783fc95c241e578354cdca08bc6c53c1
 DIST chromium-101.0.4951.15.tar.xz 1400555704 BLAKE2B 
2757239c9935af8c8b7a2ed973ed6f5e4c1fa36248ccdabd9c216409cd87ed28149cc38295284679e752789046aa74ea0394b682722592f177cd1d7d6b456a2a
 SHA512 
008a94fa4fd06055bf98c3e49b934a410a34eeff06443ca5ee3b5daef9ac992364a6d362acd169861acd7b25bf64f5cdbbf8b9d751598dcfd47347e0b674d0f5

diff --git a/www-client/chromium/chromium-100.0.4896.60.ebuild 
b/www-client/chromium/chromium-100.0.4896.60.ebuild
index 67c165e40492..1845ecdc3709 100644
--- a/www-client/chromium/chromium-100.0.4896.60.ebuild
+++ b/www-client/chromium/chromium-100.0.4896.60.ebuild
@@ -15,8 +15,11 @@ DESCRIPTION="Open-source version of Google Chrome web 
browser"
 HOMEPAGE="https://chromium.org/";
 PATCHSET="4"
 PATCHSET_NAME="chromium-$(ver_cut 1)-patchset-${PATCHSET}"
+PATCHSET_PPC64="1"
+PATCHSET_NAME_PPC64="chromium-$(ver_cut 1)-patchset-ppc64le-${PATCHSET_PPC64}"
 
SRC_URI="https://commondatastorage.googleapis.com/chromium-browser-official/${P}.tar.xz
-       
https://github.com/stha09/chromium-patches/releases/download/${PATCHSET_NAME}/${PATCHSET_NAME}.tar.xz";
+       
https://github.com/stha09/chromium-patches/releases/download/${PATCHSET_NAME}/${PATCHSET_NAME}.tar.xz
+       ppc64? ( 
https://dev.gentoo.org/~sultan/distfiles/www-client/chromium/${PATCHSET_NAME_PPC64}.tar.xz
 )"
 
 LICENSE="BSD"
 SLOT="0/stable"
@@ -251,6 +254,8 @@ src_prepare() {
                "${FILESDIR}/chromium-cross-compile.patch"
        )
 
+       use ppc64 && PATCHES+=( "${WORKDIR}/patches-ppc64" )
+
        default
 
        mkdir -p third_party/node/linux/node-linux-x64/bin || die
@@ -528,6 +533,11 @@ src_prepare() {
                        generate_gni.sh || die
                ./generate_gni.sh || die
                popd >/dev/null || die
+
+               pushd third_party/ffmpeg >/dev/null || die
+               cp libavcodec/ppc/h264dsp.c libavcodec/ppc/h264dsp_ppc.c || die
+               cp libavcodec/ppc/h264qpel.c libavcodec/ppc/h264qpel_ppc.c || 
die
+               popd >/dev/null || die
        fi
 
        # Remove most bundled libraries. Some are still needed.
@@ -755,6 +765,12 @@ src_configure() {
        # Disable fatal linker warnings, bug 506268.
        myconf_gn+=" fatal_linker_warnings=false"
 
+       # Disable external code space for V8 for ppc64. It is disabled for ppc64
+       # by default, but cross-compiling on amd64 enables it again.
+       if use ppc64; then
+               myconf_gn+=" v8_enable_external_code_space=false"
+       fi
+
        # Bug 491582.
        export TMPDIR="${WORKDIR}/temp"
        mkdir -p -m 755 "${TMPDIR}" || die

Reply via email to